Bug 259094

Summary: sysutils/htop: plug memory leak when displaying Disk I/O in the header area
Product: Ports & Packages Reporter: Trond.Endrestol
Component: Individual Port(s)Assignee: freebsd-ports-bugs (Nobody) <ports-bugs>
Status: Closed FIXED    
Severity: Affects Some People CC: diizzy, eduardo, gaod, lwhsu, rhurlin
Priority: --- Flags: gaod: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on: 259406    
Bug Blocks:    
Attachments:
Description Flags
Patch for freebsd/Platform.c turning the local info variable to a static, local variable none

Description Trond.Endrestol 2021-10-12 09:13:27 UTC
Without this patch, htop leaks 4 bytes of memory for each update.
The very same bug is fixed in the development version of htop.
Comment 1 Trond.Endrestol 2021-10-12 09:14:27 UTC
Created attachment 228620 [details]
Patch for freebsd/Platform.c turning the local info variable to a static, local variable
Comment 3 Hung-Yi Chen 2021-10-20 21:23:18 UTC
The patch is contained within 3.1.1.

Would you mind that I just update the port to 3.1.1?
Comment 4 Trond.Endrestol 2021-10-21 08:11:12 UTC
(In reply to Hung-Yi Chen from comment #3)
Upgrading to 3.1.1 is probably the best thing to do.
Make it so. (Sorry, I couldn't resist.)
Comment 5 Nuno Teixeira freebsd_committer 2021-10-25 08:30:13 UTC
Hello,

I've just committed htop 3.1.1 in https://cgit.freebsd.org/ports/commit/?id=4c66dde9668524e734760c634c6c1090d16c7887

Could this PR be closed?

Cheers
Comment 6 Trond.Endrestol 2021-10-25 13:31:02 UTC
Fixed by upgrading the port to 3.1.1.